#include "MenuTextMap_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextMap_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextMap_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_map;
}

std::shared_ptr<Entity> CreateMenuTextMap_Player2Keyboard()
{
	return std::make_shared<MenuTextMap_Player2Keyboard>();
}


